API docs
Endpoints
Aave Protocol History
Returns the full daily history of Aave protocol totals including total deposits, total active loans, average stablecoin APRs and breakdowns by market, chain and currency for each day.
See the Protocol dashboard to explore this dataset.
GET
/v2/protocol/history-daily
Query parameters
-
apiKey
Your Aavescan API key.
Example query
curl "https://api.aavescan.com/v2/protocol/history-daily?apiKey=YOUR_KEY"
Example response (snippet)
{
"lastUpdated": "2026-05-09T00:12:39.274Z",
"rows": [
{
"date": "2023-05-12",
"timestamp": 1683849600,
"totalSuppliedUsd": 7295746603.453435,
"totalBorrowedUsd": 2439699820.981376,
"totalStablecoinsSuppliedUsd": 1719677260.1330564,
"totalStablecoinsBorrowedUsd": 1288103478.634502,
"averageStablecoinsSupplyApr": 0.025810755803924143,
"averageStablecoinsBorrowApr": 0.03785026417710118,
"currencies": {
"USD": {
"totalSuppliedUsd": 1512250357.6690307,
"totalBorrowedUsd": 1136506859.4106443
}
},
"chains": {
"ethereum": {
"totalSuppliedUsd": 6473868023.8665495,
"totalBorrowedUsd": 2158214987.689768
},
"arbitrum": {
"totalSuppliedUsd": 203222886.57293588,
"totalBorrowedUsd": 79253443.31176399
}
},
"markets": {
"aave-v3-ethereum": {
"totalSuppliedUsd": 1366359390.9864,
"totalBorrowedUsd": 499427940.8028972
},
"aave-v3-arbitrum": {
"totalSuppliedUsd": 203222886.57293588,
"totalBorrowedUsd": 79253443.31176399
}
}
}
]
}